#
# Conditional build:
%bcond_without	apidocs         # disable gtk-doc
%bcond_without	static_libs	# don't build static library

%define		dbus_version	1.2.16
%define		expat_version	1:1.95.5
%define		glib2_version	1:2.26
Summary:	GLib-based library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o GLib
Name:		dbus-glib
Version:	0.100.2
Release:	1
License:	AFL v2.1 or GPL v2
Group:		Libraries
Source0:	http://dbus.freedesktop.org/releases/dbus-glib/%{name}-%{version}.tar.gz
# Source0-md5:	ad0920c7e3aad669163bb59171cf138e
Patch0:		%{name}-configure.patch
Patch1:		%{name}-am.patch
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= %{dbus_version}
%{?with_apidocs:BuildRequires:	docbook-dtd412-xml}
BuildRequires:	expat-devel >= %{expat_version}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= %{glib2_version}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
%{?with_apidocs:BuildRequires:	gtk-doc-automake >= 1.8}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
Requires:	dbus-libs >= %{dbus_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with the
GLib thread abstraction and main loop.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z abstrakcją wątków i główną pętlą GLib.

%package devel
Summary:	Header files for GLib-based library for using D-BUS
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki do używania D-BUS opartej o GLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= %{dbus_version}
Requires:	glib2-devel >= %{glib2_version}

%description devel
Header files for GLib-based library for using D-BUS.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki do używania D-BUS opartej o GLib.

%package static
Summary:	Static GLib-based library for using D-BUS
Summary(pl.UTF-8):	Statyczna biblioteka do używania D-BUS oparta o GLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GLib-based library for using D-BUS.

%description static -l pl.UTF-8
Statyczna biblioteka do używania D-BUS oparta o GLib.

%package apidocs
Summary:	D-BUS-GLib API documentation
Summary(pl.UTF-8):	Dokumentacja API D-BUS-GLib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
D-BUS-GLib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API D-BUS-GLib.

%package -n bash-completion-dbus
Summary:	bash-completion for dbus-send
Summary(pl.UTF-8):	Bashowe uzupełnianie poleceń dla dbus-send
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-dbus
This package provides bash-completion for dbus-send.

%description -n bash-completion-dbus -l pl.UTF-8
Ten pakiet dostarcza bashowe uzupełnianie poleceń dla dbus-send.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__disable apidocs gtk-doc} \
	%{__disable static_libs static} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	profiledir=/etc/bash_completion.d

mv -f $RPM_BUILD_ROOT/etc/bash_completion.d/{dbus-bash-completion.sh,dbus}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# AFL not in common-licenses, so COPYING included
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libdbus-glib-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdbus-glib-1.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-binding-tool
%attr(755,root,root) %{_libdir}/libdbus-glib-1.so
%{_libdir}/libdbus-glib-1.la
%{_mandir}/man1/dbus-binding-tool.1*
%{_includedir}/dbus-1.0/dbus/dbus-glib*.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_includedir}/dbus-1.0/dbus/dbus-gvalue-parse-variant.h
%{_pkgconfigdir}/dbus-glib-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdbus-glib-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/dbus-glib
%endif

%files -n bash-completion-dbus
%defattr(644,root,root,755)
/etc/bash_completion.d/dbus
%attr(755,root,root) %{_libdir}/dbus-bash-completion-helper
%changelog
* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 2daf77c
- updated to 0.100.2

* Sat Feb 16 2013 Jakub Bogusz <qboosh@pld-linux.org> f10db78
- don't explicitly enable docs rebuilding, it's broken; but package apidocs by default

* Fri Feb 15 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ee97df2
Update to 0.100.1 (fixes CVE-2013-0292)

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> 68c4ac9
- disable apidocs (does not build)
- rel 3

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> e4649bb
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 56a3a31
- updated to 0.100

* Sun Oct 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> 91fe8c0
- updated to 0.98

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 953ba73
- updated to 0.96

* Tue Jun 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 97a21ac
- release 2

* Sun Jun 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 63642e2
- updated to 0.94
- removed obsolete as-needed patch

* Wed Feb 02 2011 Elan Ruusamäe <glen@pld-linux.org> 82e0d90
- fix glib version macro mismatch

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> ad61eb8
- updated to 0.92

* Wed Sep 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 3b66052
- updated to 0.88

* Thu Mar 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ebfd6fd
- updated to 0.86

* Sun Jan 31 2010 sparky <sparky@pld-linux.org> 80d8317
- BR (for apidocs): docbook-dtd412-xml, gtk-doc

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6dc7a73
- now this file is included in sources

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e9a86c2
- updated to 0.84
- use dbus-bus-introspect.xml included in sources

* Fri Aug 07 2009 Patryk Zawadzki <patrys@room-303.com> 934bf62
- 0.82

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 04cb6de
- updated

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9a38022
- updated for 0.80

